Update a supplier invoice

This endpoint allows you to update a supplier invoice.

ℹ️

This endpoint requires the following scope: supplier_invoices:all

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Supplier invoice identifier

Body Params
int64

The ID of the supplier to import the invoice for

date

The date of the invoice (ISO 8601)

date

Invoice payment deadline (ISO 8601)

string
^[^\x00]*$

The invoice number

string
length ≤ 2000
^[^\x00]*$

Custom label for the invoice used on accounting (ledger) entries. If not provided, Pennylane generates a label automatically.

string
enum
Defaults to EUR
string
^(-?\d+(\.\d+)?)?$

Invoice currency amount before tax (total value before tax of the invoice in the currency of the invoice)

string
^(-?\d+(\.\d+)?)?$

Invoice currency amount (total value of the invoice in the currency of the invoice)

string
^(-?\d+(\.\d+)?)?$

Invoice amount in euros (total value of the invoice in euros). If the currency is euro, currency_amount and amount are identical.

string
^(-?\d+(\.\d+)?)?$

Invoice taxable amount (in invoice currency)

string
^(-?\d+(\.\d+)?)?$

Invoice taxable amount (in euros). If the currency is euro, currency_tax and tax are identical.

transaction_reference
object | null

By adding this field you can automatically reconcile the newly imported invoice with a transaction. See documentation about automatic payment matching.

invoice_lines
object

Add, update, delete invoice lines

string
^[^\x00]*$

The unique external reference that was assigned during creation either by you or Pennylane.

int64 | null
⚠️

This is a beta feature. Available only for selected companies during rollout.

The field is ignored when the feature is not enabled for the company.
If you plan to rely on it, please get in touch with us first.

Ledger account used for reconciliation by payment method.
When set, the receivable/payable (e.g. 411/401) is transferred to this
account and the invoice outstanding balance becomes 0. Send null to clear.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json